summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorredtide2019-11-08 18:22:35 +0100
committerredtide2019-11-08 18:22:35 +0100
commit6b164d1a6a174f076cdab4facaf11d87756f2543 (patch)
tree990296dbdea14936d69817f5bca3314c6542e7ac
downloadaur-6b164d1a6a174f076cdab4facaf11d87756f2543.tar.gz
First commit.
-rw-r--r--.SRCINFO16
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD33
3 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c6a84b57bda
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = jacksettings-git
+ pkgdesc = JACK settings using jackd via systemd
+ pkgver = r34.0489a9b
+ pkgrel = 1
+ url = https://github.com/azdrums/jacksettings
+ arch = x86_64
+ license = GPL2
+ makedepends = git
+ depends = qt5-base
+ depends = jack2
+ optdepends = a2jmidid: A daemon for exposing legacy ALSA sequencer applications in JACK MIDI system.
+ source = jacksettings-git::git+https://github.com/azdrums/jacksettings.git
+ md5sums = SKIP
+
+pkgname = jacksettings-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..4f1c06deb06
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+/pkg
+/src
+*.tar*
+jacksettings*
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..128c2194ba0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Author: RedTide <redtid3@gmail.com>
+
+prjname=jacksettings
+pkgname=${prjname}-git
+pkgver=r34.0489a9b
+pkgrel=1
+pkgdesc="JACK settings using jackd via systemd"
+url="https://github.com/azdrums/${prjname}"
+arch=('x86_64')
+license=('GPL2')
+depends=('qt5-base' 'jack2')
+optdepends=('a2jmidid: A daemon for exposing legacy ALSA sequencer applications in JACK MIDI system.')
+makedepends=('git')
+source=("${pkgname}"::"git+https://github.com/azdrums/${prjname}.git")
+md5sums=('SKIP')
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+build() {
+ cd "${srcdir}/${pkgname}"
+ qmake PREFIX="/usr/" JACKSettings.pro
+ make INSTALL_DIR=$pkgdir
+}
+package() {
+ cd "${srcdir}/${pkgname}"
+ make INSTALL_ROOT=$pkgdir install
+ install -Dm644 "${srcdir}/${pkgname}/systemd/a2jmidi@.service" "${pkgdir}/usr/lib/systemd/user/a2jmidi@.service"
+ install -Dm644 "${srcdir}/${pkgname}/systemd/jacksettings@.service" "${pkgdir}/usr/lib/systemd/user/jacksettings@.service"
+}